Metamask extension not recognized by dApps

Description of the issue:
My Metamask wallet extension is not recognized by dApps. When I click Connect to Metamask wallet button in dApps, nothing happens. Some of dApps says I should install MM wallet extension even if it is already installed. I tried all wallet options settings within Brave browser, no one worked for MM wallet extension to be recognized by dApps. I have installed latest versions of Brave browser and Metamask wallet browser extension as well.

Are you using the (new) Brave Wallet or the (old) Crypto wallets implementation?

How can this issue be reproduced?

Brave Version (check About Brave):
Version 1.40.113 Chromium: 103.0.5060.114 (Official Build) (64-bit)

Additional Information:
Metamask wallet browser extension version 10.16.2.

@lemurkata

Ref. material

https://metamask.zendesk.com/hc/en-us

https://metamask.zendesk.com/hc/en-us/articles/360038596792-Using-Metamask-wallet-in-Brave-browser

Wallet connection issue - #8 by Chocoholic

Wallet connection issue - #9 by DouglasHDaniel

https://community.brave.com/search?q=metamask%20extension%20order%3Alatest

@lemurkata have you gone into wallet settings and clicked crypto wallet = Brave Wallet (prefer extensions) and see does this solve it for you?

Tried all of the options, none of them worked.

so you’ve done these steps

  1. Make sure your Brave and OS versions are updated. Brave version is currently 1.40.107.
  2. What is your macOS version? (found at brave://version)
  3. Try these scenarios and see if the problem still occurs.

If it still doesn’t work , try opening the developer console and see what error it throws up.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.